Bug 1063861 - User creation issues (tracking BZ)
Summary: User creation issues (tracking BZ)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: EAP 6.3.0
Assignee: Petr Kremensky
QA Contact: Petr Kremensky
URL:
Whiteboard:
Keywords:
Depends On: 1062592 1062602 1063639 1063888
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 14:51 UTC by Petr Kremensky
Modified: 2014-10-25 12:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-06 14:38:09 UTC


Attachments (Terms of Use)

Description Petr Kremensky 2014-02-11 14:51:53 UTC
Description of problem:
 There were some uncertainties found in add-user utility and password handling of installer. I've created this tracking BZ to keep overview of all issues.

User/Password requirements are as following:
- Only alphanumeric characters are allowed

Passwords must satisfy the following constraints
- password min length is 8
- password must contain alphabetic character
- password must contain digit
- password must contain non-alphanumeric character

This should be fixed in add-user error messages, add-user help message, add-user documentation and installer.

Version-Release number of selected component (if applicable):
EAP 6.2.0

Additional info:
 If I missed some requirements please warn me via comment.

Comment 1 sgilda 2014-02-11 15:28:38 UTC
Created Bugzilla 1063888 for the add-user script usage issue with password help.

Comment 2 Petr Kremensky 2014-02-11 15:39:58 UTC
Great, thanks.

Comment 3 Darran Lofthouse 2014-07-08 13:32:53 UTC
Is keeping this as a top level issue really still needed?  I see all dependencies are now closed.

Comment 4 Petr Kremensky 2014-07-09 05:18:22 UTC
Indeed, this can be closed, thanks for notification.

Verified EAP 6.3.0.ER9.


Note You need to log in before you can comment on or make changes to this bug.